class TargetUsers {
  bool? isSeen;
  bool? isDelivered;
  int? targetUserId;
  int? userAction;
  int? userStatus;

  TargetUsers(
      {this.isSeen,
        this.isDelivered,
        this.targetUserId,
        this.userAction,
        this.userStatus});

  TargetUsers.fromJson(Map<String, dynamic> json) {
    isSeen = json['isSeen'];
    isDelivered = json['isDelivered'];
    targetUserId = json['targetUserId'];
    userAction = json['userAction'];
    userStatus = json['userStatus'];
  }

  Map<String, dynamic> toJson() {
     Map<String, dynamic> data = new Map<String, dynamic>();
    data['isSeen'] = this.isSeen;
    data['isDelivered'] = this.isDelivered;
    data['targetUserId'] = this.targetUserId;
    data['userAction'] = this.userAction;
    data['userStatus'] = this.userStatus;
    return data;
  }
}
